﻿using C1.Win.C1FlexGrid;
using System.Diagnostics;
using System.Windows.Forms;

namespace FlexGrid_GetOldValue
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            c1FlexGrid1.Cols[1].Name = "PK";
            c1FlexGrid1.Cols[1].Caption = "PK Col";

            foreach(Row row in c1FlexGrid1.Rows)
            {
                if(row.Index != 0)
                {
                    row[1] = row.Index;
                    //setting initial user-Data value
                    row.UserData = row[1];
                }
            }

            c1FlexGrid1.CellChanged += C1FlexGrid1_CellChanged;
        }

        private void C1FlexGrid1_CellChanged(object sender, RowColEventArgs e)
        {
            Debug.WriteLine($"Old Value: {c1FlexGrid1.Rows[e.Row].UserData}\nNew Value: {c1FlexGrid1[e.Row, e.Col]}\n");

            //update value in userData with new value
            c1FlexGrid1.Rows[e.Row].UserData = c1FlexGrid1[e.Row, e.Col];
        }

    }
}
